# Blog

May 23, 2023 [SimpleX Chat v5.1 released](./20230523-simplex-chat-v5-1-message-reactions-self-destruct-passcode.md)

What's new in v5.1:
- message reactions 🚀
- improved messages:
  - voice messages up to 5 minutes.
  - custom time to disappear.
  - message editing history.
- new design and customizable themes that you can share!<sup>*</sup>
- self-destruct passcode

Also, we added Japanese and Portuguese (Brazil)<sup>*</sup> interface languages, thanks to our users and Weblate.

\* These features are available in the Android version only.language interface, thanks to our users and Weblate!

---

Apr 22, 2023 [SimpleX Chat: vision and funding, v5.0 released](./20230422-simplex-chat-vision-funding-v5-videos-files-passcode.md)

SimpleX Chat vision and funding:
- why is it a commercial company?
- how is it funded and what is the business model?
- what is next?

What's new in v5.0:
- send videos and files up to 1gb
- app passcode independent from system authentication
- networking improvements

Also, we added Polish language interface, thanks to our users and Weblate!

---

Mar 28, 2023 [SimpleX Chat v4.6 released](./20230328-simplex-chat-v4-6-hidden-profiles.md)

- ARMv7a and Android 8+ support!
- hidden chat profiles
- group/community moderation
- group welcome message
- improved audio/video calls
- reduced battery usage
- SMP server monitoring: status bot and page

Also, we added Chinese and Spanish language interface, thanks to our users and Weblate!

---

Mar 1, 2023 [SimpleX File Transfer Protocol](./20230301-simplex-file-transfer-protocol.md)

A new protocol for sending large files efficiently, privately and securely. It will be soon integrated into SimpleX Chat apps.

---

Feb 4, 2023 [SimpleX Chat v4.5 released](./20230204-simplex-chat-v4-5-user-chat-profiles.md)

- multiple chat profiles.
- message draft.
- transport isolation.
- reduced battery usage.
- private filenames.

Also, we added Italian language interface, thanks to our users and Weblate!

---

Jan 3, 2023 [SimpleX Chat v4.4 released](./20230103-simplex-chat-v4.4-disappearing-messages.md)

- disappearing messages.
- "live" messages.
- connection security verification.
- animated images and stickers – now on iOS too.

Also, we added French language interface, thanks to our users and Weblate!

---

Dec 6, 2022 [SimpleX Chat reviews and v4.3 released](./20221206-simplex-chat-v4.3-voice-messages.md)

November reviews:

- [Privacy Guides](https://www.privacyguides.org/real-time-communication/#simplex-chat) recommendations.
- [Review by Mike Kuketz](https://www.kuketz-blog.de/simplex-eindruecke-vom-messenger-ohne-identifier/).
- [The messenger matrix](https://www.messenger-matrix.de).
- [Supernova review](https://supernova.tilde.team/detailed_reviews.html#simplex) and [messenger ratings](https://supernova.tilde.team/messengers.html).

---

v4.3 is released:

- instant voice messages!
- irreversible deletion of sent messages for all recipients
- improved SMP server configuration and support for server passwords
- privacy and security improvements: protect app screen, SimpleX links security, etc.

Nov 8, 2022 [Security audit by Trail of Bits, the new website and v4.2 released](./20221108-simplex-chat-v4.2-security-audit-new-website.md)

_"Have you been audited or should we just ignore you?"_

SimpleX Chat has now been audited by [Trail of Bits](https://www.trailofbits.com/about), 4 issues were identified, and 3 of them are fixed in 4.2

The new website is live: https://simplex.chat

---

v4.2 is released:

- group links - group admins can create the links for new members to join
- auto-accept contact requests + configure whether to accept incognito and welcome message
- small things: change group member role, mark chat as unread, send stickers and GIFs from Android keyboards.
- manually switch contact or member to another address / server (BETA)
- receive files faster (BETA)

---

Sep 28, 2022 [v4: local database encryption](./20220928-simplex-chat-v4-encrypted-database.md)

- encrypted local chat database - if you already use the app, you can encrypt the database in the app settings
- support for self-hosted WebRTC ICE servers
- improved stability of creating new connections: more reliable groups, files and contacts
- deleting files and media - for security and to save storage
- For developers - TypeScript SDK for integrating with SimpleX Chat
- support animated images in Android app
- German language in mobile apps UI

---

Sep 1, 2022 [v3.2: Incognito mode](./20220901-simplex-chat-v3.2-incognito-mode.md)

- Incognito mode - use a new random profile name for each contact
- use .onion server addresses with Tor
- endless scrolling and search
- choose accent color and dark mode
- reduced APK size for direct download and in F-Droid repo from 200 to 46Mb!

Implementation audit is arranged for October!

---

Aug 8, 2022 [v3.1: chat groups](./20220808-simplex-chat-v3.1-chat-groups.md)

- finally, secret chat groups - nobody but members know they exist!
- access to messaging servers via Tor on all platforms
- advanced network settings to optimize traffic usage
- published chat protocol
- new app icons

---

Jul 23, 2022 [v3.1-beta: access servers via Tor](./20220723-simplex-chat-v3.1-tor-groups-efficiency.md)

- terminal app: access to messaging servers via SOCKS5 proxy (e.g., Tor).
- mobile apps: join and leave chat groups.
- optimized battery and traffic usage - up to 90x reduction!
- two docker configurations for self-hosted SMP servers.

---

Jul 11, 2022 [v3: instant push notifications for iOS and audio/video calls](./20220711-simplex-chat-v3-released-ios-notifications-audio-video-calls-database-export-import-protocol-improvements.md):

- chat database export and import
- end-to-end encrypted audio/video calls
- protocol privacy and performance improvements

---

Jun 4, 2022 [v2.2: the new Privacy and Security settings](./20220604-simplex-chat-new-privacy-security-settings.md)

---

May 24, 2022 [v2.1: clearing messages for better conversation privacy](./20220524-simplex-chat-better-privacy.md)

---

May 11, 2022 [v2.0 released - sending images and files in mobile apps](./20220511-simplex-chat-v2-images-files.md)

---

Apr 04, 2022 [Instant notifications for SimpleX Chat mobile apps](./20220404-simplex-chat-instant-notifications.md)

---

Mar 08, 2022 [Mobile apps for iOS and Android released!](./20220308-simplex-chat-mobile-apps.md)

---

Feb 14, 2022. [SimpleX Chat: join our public beta for iOS!](./20220214-simplex-chat-ios-public-beta.md)

---

Jan 12, 2022. [SimpleX Chat v1 released: the most private and secure chat and application platform](./20220112-simplex-chat-v1-released.md)

---

Dec 08, 2021. [SimpleX Chat v0.5 released: the first chat platform that is 100% private by design - no access to your connections graph](./20211208-simplex-chat-v0.5-released.md)

---

Sep 14, 2021. [SimpleX Chat v0.4 released: open-source chat that uses privacy-preserving message routing protocol](./20210914-simplex-chat-v0.4-released.md)

---

May 12, 2021. [SimpleX Chat Prototype!](./20210512-simplex-chat-terminal-ui.md)

---

Oct 22, 2020. [SimpleX Chat](./20201022-simplex-chat.md)
